﻿using Dto.Classe;
using Modele.Classe;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dto.Factories
{
    public static class EcurieFactorie
    {
        public static EcurieDTO ModeleToDTO(this Ecurie ecurie)
        {
            EcurieDTO ecurieDTO = new EcurieDTO();

            ecurieDTO.Name = ecurie.name;

            return ecurieDTO;
        }

        public static Ecurie DTOToModele(this EcurieDTO dto)
        {
            return new Ecurie(nameArg: dto.Name);
        }
    }
}
